# Interface BinarySpec

All Superinterfaces:
  `Binary, Buildable, BuildableComponentSpec, CheckableComponentSpec, ComponentSpec, ModelElement, Named`

All Known Subinterfaces:
  `ApplicationBinarySpec, ClassDirectoryBinarySpec, CUnitTestSuiteBinarySpec, GoogleTestTestSuiteBinarySpec, JarBinarySpec, JUnitTestSuiteBinarySpec, JvmBinarySpec, JvmTestSuiteBinarySpec, LibraryBinarySpec, NativeBinarySpec, NativeExecutableBinarySpec, NativeLibraryBinarySpec, NativeTestSuiteBinarySpec, PlayApplicationBinarySpec, SharedLibraryBinarySpec, StaticLibraryBinarySpec, TestSuiteBinarySpec`

All Known Implementing Classes:
  `BaseBinarySpec`

@Incubating public interface BinarySpec extends BuildableComponentSpec, CheckableComponentSpec, Binary
Represents a binary that is the result of building a component.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`DomainObjectSet<LanguageSourceSet>`
`getInputs()`
Returns all inputs of the binary.
`ModelMap<LanguageSourceSet>`
`getSources()`
The sources owned by this binary.
`BinaryTasksCollection`
`getTasks()`
The set of tasks associated with this binary.
`boolean`
`isBuildable()`
Can this binary be built in the current environment?

### Methods inherited from interface Binary

`getDisplayName`

### Methods inherited from interface Buildable

`getBuildDependencies`

### Methods inherited from interface BuildableComponentSpec

`builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

### Methods inherited from interface CheckableComponentSpec

`checkedBy, getCheckTask, setCheckTask`

### Methods inherited from interface ComponentSpec

`getProjectPath`

### Methods inherited from interface ModelElement

`getDisplayName, getName`

## Method Details

### isBuildable

boolean isBuildable()
Can this binary be built in the current environment?

### getSources

ModelMap<LanguageSourceSet> getSources()
The sources owned by this binary.

Returns:
  the sources owned by the binary.

### getInputs

DomainObjectSet<LanguageSourceSet> getInputs()
Returns all inputs of the binary. This includes source sets owned by the binary, and other source sets created elsewhere (e.g. inherited from the binary's component).

Returns:
  all inputs of the binary.

### getTasks

BinaryTasksCollection getTasks()
The set of tasks associated with this binary.